From 2eb781ba822f2d57420400f648f6f531689c8c5d Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Thu, 15 Apr 2021 11:37:24 +0100
Subject: [PATCH 1/2] Revert "configure: Remove AX macros from configure.ac
 file"

This reverts commit 1e478d84f051ba56962a1214cb750b810379ac1d.
---
 README.md    | 4 ++--
 configure.ac | 9 +++++++++
 2 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/README.md b/README.md
index 1b17365..43bd5b2 100644
--- a/README.md
+++ b/README.md
@@ -26,7 +26,7 @@ Example packages to install in Ubuntu*:
 
     sudo apt install libpci-dev libnl-3-dev libnl-genl-3-dev gettext \
     libgettextpo-dev autopoint gettext libncurses5-dev libncursesw5-dev libtool-bin \
-    dh-autoreconf pkg-config
+    dh-autoreconf autoconf-archive pkg-config
 
 
 ## Building PowerTOP
@@ -39,7 +39,7 @@ source files are modified.
 To build PowerTOP from the cloned source, use the following commands:
 
     ./autogen.sh
-    ./configure LDFLAGS='-pthread'
+    ./configure
     make
 
 
diff --git a/configure.ac b/configure.ac
index 2571c5d..7eeeb9c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -36,9 +36,18 @@ AC_PROG_LIBTOOL
 AC_PROG_CC
 AC_PROG_INSTALL
 AM_PROG_CC_C_O
+AX_ADD_FORTIFY_SOURCE
+AX_CXX_COMPILE_STDCXX([11], [noext], [mandatory])
 PKG_PROG_PKG_CONFIG
 
 # Checks for libraries.
+AX_PTHREAD([
+    LIBS="$PTHREAD_LIBS $LIBS"
+    CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
+    CC="$PTHREAD_CC"
+  ], [
+    AC_MSG_ERROR([Could not configure pthreads support])
+])
 
 # Checks for header files.
 AC_CHECK_HEADERS([ \
-- 
2.32.0

